
-- // Object \\ --
------------------
local Object = {}
Object.__index = Object

function Object:new()
  local self = setmetatable({}, Object)
  self.x = 0
  self.y = 0
  self.w = 0
  self.h = 0
  self.health = 100
  self.removed = false
  return self
end


function Object:destroy()
  self.removed = true
end


function Object:setPosition(x, y)
  self.x = x or self.x
  self.y = y or self.y
end

return Object
